Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Stream_Head Class Template Reference

Standard module that acts as the head of a ustream. More...

`#include <Stream_Modules.h>`

Inheritance diagram for ACE_Stream_Head

[legend]
Collaboration diagram for ACE_Stream_Head:

[legend]
List of all members.

## Public Methods
| ACE_Stream_Head (void)
| Construction.
| ~ACE_Stream_Head (void)
| Destruction.
virtual int | open (void *a = 0)
| Hook called to open a Task. can be used to pass arbitrary information into <open>.
virtual int | close (u_long flags = 0)
virtual int | put (ACE_Message_Block *msg, ACE_Time_Value * = 0)
| A hook method that can be used to pass a message to a task, where it can be processed immediately or queued for subsequent processing in the <svc> hook method.
virtual int | svc (void)
| Run by a daemon thread to handle deferred processing.
virtual int | init (int argc, ACE_TCHAR *argv[])
| Initializes object when dynamic linking occurs.
virtual int | info (ACE_TCHAR **info_string, size_t length) const
| Returns information on a service object.
virtual int | fini (void)
| Terminates object when dynamic unlinking occurs.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Methods
int | control (ACE_Message_Block *)
| Performs canonical flushing at the ACE_Stream Head.
int | canonical_flush (ACE_Message_Block *)

## Detailed Description

### template<ACE_SYNCH_DECL> template class ACE_Stream_Head

Standard module that acts as the head of a ustream.

## Constructor & Destructor Documentation

template<ACE_SYNCH_DECL>
ACE_Stream_Head<>::ACE_Stream_Head<> ( | void )

| Construction.

template<ACE_SYNCH_DECL>
ACE_Stream_Head<>::~ACE_Stream_Head<> ( | void )

| Destruction.

## Member Function Documentation

template<ACE_SYNCH_DECL>
int ACE_Stream_Head< ACE_SYNCH_USE >::canonical_flush ( | ACE_Message_Block * mb )`[private]`

template<ACE_SYNCH_DECL>
int ACE_Stream_Head< ACE_SYNCH_USE >::close ( | u_long flags = 0 )`[virtual]`

| Hook called from when during thread exit and from the default implemenation of <module_closed>. In general, this method shouldn't be called directly by an application, particularly if the <Task> is running as an Active Object. Instead, a special message should be passed into the <Task> via the <put> method defined below, and the <svc> method should interpret this as a flag to shut down the <Task>. Reimplemented from ACE_Task_Base.

template<ACE_SYNCH_DECL>
int ACE_Stream_Head<>::control ( | ACE_Message_Block * mb )`[private]`

| Performs canonical flushing at the ACE_Stream Head.

template<ACE_SYNCH_DECL>
void ACE_Stream_Head<>::dump ( | void ) const

| Dump the state of an object. Reimplemented from ACE_Task.

template<ACE_SYNCH_DECL>
int ACE_Stream_Head< ACE_SYNCH_USE >::fini ( | void )`[virtual]`

| Terminates object when dynamic unlinking occurs. Reimplemented from ACE_Shared_Object.

template<ACE_SYNCH_DECL>
int ACE_Stream_Head< ACE_SYNCH_USE >::info ( | ACE_TCHAR ** strp,
| size_t length ) const`[virtual]`

| Returns information on a service object. Reimplemented from ACE_Shared_Object.

template<ACE_SYNCH_DECL>
int ACE_Stream_Head< ACE_SYNCH_USE >::init ( | int argc,
| ACE_TCHAR * argv[] )`[virtual]`

| Initializes object when dynamic linking occurs. Reimplemented from ACE_Shared_Object.

template<ACE_SYNCH_DECL>
int ACE_Stream_Head< ACE_SYNCH_USE >::open ( | void * a = 0 )`[virtual]`

| Hook called to open a Task. can be used to pass arbitrary information into <open>. Reimplemented from ACE_Task_Base.

template<ACE_SYNCH_DECL>
int ACE_Stream_Head< ACE_SYNCH_USE >::put ( | ACE_Message_Block * mb,
| ACE_Time_Value * tv = 0 )`[virtual]`

| A hook method that can be used to pass a message to a task, where it can be processed immediately or queued for subsequent processing in the <svc> hook method. Reimplemented from ACE_Task_Base.

template<ACE_SYNCH_DECL>
int ACE_Stream_Head< ACE_SYNCH_USE >::svc ( | void )`[virtual]`

| Run by a daemon thread to handle deferred processing. Reimplemented from ACE_Task_Base.

## Member Data Documentation

template<ACE_SYNCH_DECL>
ACE_Stream_Head<>::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Task.

The documentation for this class was generated from the following files:

- Stream_Modules.h
- Stream_Modules.cpp